MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Friends
PosixMutex Class Reference

Low-level wrapper for a pthread_mutex_t. More...

`#include <PosixMutex.hxx>`

Inheritance diagram for PosixMutex:
[legend]

## Public Member Functions
| PosixMutex ()
| ~PosixMutex ()
| PosixMutex (const PosixMutex &other)=delete
PosixMutex & | operator= (const PosixMutex &other)=delete
void | lock ()
bool | try_lock ()
void | unlock ()

## Friends
class | PosixCond

## Detailed Description

Low-level wrapper for a pthread_mutex_t.

Definition at line 38 of file PosixMutex.hxx.

## Constructor & Destructor Documentation

PosixMutex::PosixMutex | ( |  | ) |
| inline

Definition at line 51 of file PosixMutex.hxx.

PosixMutex::~PosixMutex | ( |  | ) |
| inline

Definition at line 55 of file PosixMutex.hxx.

PosixMutex::PosixMutex | ( | const PosixMutex & | other | ) |
| delete

## Member Function Documentation

void PosixMutex::lock | ( |  | ) |
| inline

Definition at line 63 of file PosixMutex.hxx.

PosixMutex& PosixMutex::operator= | ( | const PosixMutex & | other | ) |
| delete

bool PosixMutex::try_lock | ( |  | ) |
| inline

Definition at line 67 of file PosixMutex.hxx.

void PosixMutex::unlock | ( |  | ) |
| inline

Definition at line 71 of file PosixMutex.hxx.

## Friends And Related Function Documentation

friend class PosixCond
| friend

Definition at line 39 of file PosixMutex.hxx.

The documentation for this class was generated from the following file:

- thread/PosixMutex.hxx